@import url(../caasp-fonts.css);

.img-main-banner-div {
  background-image: url(/imagens/politica-da-qualidade.jpeg);
}

.text-overlay {
  left: initial;
  width: 30%;
}

.container-caasp {
  width: 64%;
}

.text-overlay {
  position: absolute;
  top: 100px;
  text-align: left;
}

@media (min-width: 1200px) {
  .text-overlay {
    width: 30%;
    left: 20%;
  }
}

@media (max-width: 1199px) {
  .text-overlay {
    width: 35%;
    left: 10vw;
  }
}

@media (max-width: 1024px) {
  .text-overlay {
    width: 80% !important;
    left: initial !important;
    position: absolute !important;
    top: 90px !important;
    transform: none !important;
  }

  .img-main-banner-div {
    width: 100% !important;
    min-height: 500px !important;
    background-position-x: 80% !important;
    margin-top: calc(300px - 10vw) !important;
  }
}

@media (max-width: 767px) {
  .text-overlay {
    position: absolute !important;
    top: 100px !important;
    transform: none !important;
    padding: 0 !important;
  }

  .img-main-banner {
    margin-top: 300px !important;
    object-fit: fill !important;
  }

  .img-main-banner-div {
    width: 100% !important;
    background-position-x: 80% !important;
    min-height: 450px !important;
    margin-top: calc(300px - 10vw) !important;
  }
}

@media (max-width: 575px) {
  .text-overlay {
    position: absolute !important;
    top: 80px !important;
    transform: none !important;
    padding: 0 !important;
  }

  .img-main-banner {
    margin-top: 150px !important;
    object-fit: fill !important;
  }

  .img-main-banner-div {
    width: 100% !important;
    background-position-x: 80% !important;
    min-height: 450px !important;
    margin-top: calc(345px - 10vw) !important;
  }
}


.modal-custom-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0,0,0,0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1050;
}

.modal-custom-dialog {
  background: white;
  border-radius: 8px;
  /* AUMENTE ESTES VALORES */
  width: 98vw;
  max-width: 1600px;
  height: 90vh;
  max-height: 700px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.3);
  display: flex;
  flex-direction: column;
}

.modal-custom-header {
  padding: 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #ddd;
}

.modal-custom-body {
  flex: 1 1 0;
  padding: 1rem;
  overflow: hidden;
}
